%if !%{defined version}
%define version         6.0.4
%endif
%define release 1
%define edition         gpl
# whether at least Python 2.6 is available
%define have_python26   1
%include %{_rpmconfigdir}/macros.python

# Directory where iodbc and pyodbc binaries are located. Build both using the build_iodbc.sh script
# If using distribution provided ODBC manager lib and pyodbc, then comment out this
%define odbc_home       ~/linux-res-6.0/usr
%define linuxres_home   ~/linux-res-6.0

Summary: A MySQL visual database modeling, administration and querying tool
Name: mysql-workbench-%{edition}
Version: %{version}
Release: %{release}.%{targos}
Group: Applications/Databases
Vendor: Oracle Corporation
License: GPLv2
URL: http://wb.mysql.com
Source: %{name}-%{version}-src.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pcre-devel >= 3.9
BuildRequires: lua-devel >= 5.1
BuildRequires: cmake
BuildRequires: libzip-devel libxml2-devel
BuildRequires: python-devel >= 2.5
BuildRequires: gnome-keyring-devel
BuildRequires: boost-devel

BuildArch: %{_arch}

%if %_vendor == suse
BuildRequires: libmysqlclient-devel, libctemplate-devel
BuildRequires: Mesa
%else
%if %targos != el6
BuildRequires: ctemplate-devel
%endif
BuildRequires: mysql-devel >= 5.1
BuildRequires: gtkmm24-devel
BuildRequires: mesa-libGL-devel
BuildRequires: sqlite-devel
# In Oracle packages, iodbc is bundled, so we don't need it
#BuildRequires: libiodbc-devel
BuildRequires: make
BuildRequires: tar
BuildRequires: gcc-c++
%endif

%if %_vendor == suse
Requires: python-paramiko
%else
Requires: python-paramiko
%endif
%if %{defined fc13}
Requires: python-sqlite2
%endif
# requires mysql client pkg (for mysqldump and mysql cmdline client)
Requires: mysql gnome-keyring

# our old package name
Obsoletes: mysql-workbench-oss
Conflicts: mysql-workbench-oss
Conflicts: mysql-workbench-com-se

%description
MySQL Workbench is a modeling tool that allows you to design
and generate MySQL databases graphically. It also has administration
and query development modules where you can manage MySQL server instances
and execute SQL queries.

%prep

# Add the -D flag if you don't want to delete the source root on each build
%setup -q -n %{name}-%{version}-src

%build

%cmake -DREAL_EXECUTABLE_DIR=%{_libexecdir}/mysql-workbench
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -fr %{buildroot}/usr/share/doc/mysql-workbench

#%if %targos == fc17
#cp -a /usr/lib*/libpcre.so.0*  %{buildroot}%{_libdir}/mysql-workbench/
#%endif

if [ -f /usr/local/lib/libmysqlcppconn.so.7 ]; then
    cp -a /usr/local/lib/libmysqlcppconn.so.7* %{buildroot}%{_libdir}/mysql-workbench
fi

if [ -f /usr/local/lib/libvsqlitepp.so.3 ]; then
    cp -a /usr/local/lib/libvsqlitepp.so.3* %{buildroot}%{_libdir}/mysql-workbench
fi

if [ -f /usr/local/lib/libctemplate.so.0 ]; then
    cp -a /usr/local/lib/libctemplate.so.0* %{buildroot}%{_libdir}/mysql-workbench
fi

find %{buildroot}%{_libdir}/mysql-workbench -name \*.a  -exec rm {} \; -print
find %{buildroot}%{_libdir}/mysql-workbench -name \*.la -exec rm {} \; -print

# Bundle pre-built libs
%if %{defined odbc_home}
  for l in %{odbc_home}/lib/libiodbc.so.* %{odbc_home}/lib/libiodbcinst.so.* %{odbc_home}/lib/libiodbcadm.so.*; do
    cp -a $l %{buildroot}%{_libdir}/mysql-workbench
    /usr/sbin/prelink -u %{buildroot}%{_libdir}/mysql-workbench/`basename $l` || true
  done
  cp -a %{odbc_home}/bin/iodbcadm-gtk %{buildroot}%{_libexecdir}/mysql-workbench/
%endif

if [ %{linuxres_home} ]; then
  cp -a %{linuxres_home}/pyodbc.so %{buildroot}%{_libdir}/mysql-workbench/modules
fi

# workaround for prob with libantlr3c not being detected as being provided by pkg in fedora
chmod +x %{buildroot}%{_libdir}/mysql-workbench/*.so

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

if [ -x %{_bindir}/update-desktop-database ]; then
    %{_bindir}/update-desktop-database
fi

if [ -x %{_bindir}/update-mime-database ]; then
    %{_bindir}/update-mime-database %{_datadir}/mime
fi

ldconfig

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

if [ -x %{_bindir}/update-desktop-database ]; then
    %{_bindir}/update-desktop-database
fi

if [ -x %{_bindir}/update-mime-database ]; then
    %{_bindir}/update-mime-database %{_datadir}/mime
fi

%clean
rm -rf %{buildroot}
rm -rf %{_builddir}/%{name}-%{version}-src

%files 
%defattr(0644, root, root, 0755)
%doc COPYING README INSTALL
%attr(0755,root,root) %{_bindir}/mysql*
%attr(0755,root,root) %{_bindir}/wbcopytables
%attr(0755,root,root) %{_libexecdir}/mysql-workbench/mysql-workbench-bin
%attr(0755,root,root) %{_libexecdir}/mysql-workbench/iodbcadm-gtk

%dir %{_libdir}/mysql-workbench
%{_libdir}/mysql-workbench/lib*
%{_libdir}/mysql-workbench/modules/*
%{_libdir}/mysql-workbench/plugins/*

%dir %{_datadir}/mysql-workbench
%{_datadir}/icons/hicolor/*/mimetypes/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime-info/*
%{_datadir}/mime/packages/*
%{_datadir}/applications/*.desktop
%{_datadir}/mysql-workbench/*
%attr(0755,root,root) %{_datadir}/mysql-workbench/extras/*.sh

%config /etc/ld.so.conf.d/mysql-workbench.conf

%changelog
